[cleanup] Make linter happier

Signed-off-by: Dominika <sokolov.dominika@gmail.com>
This commit is contained in:
Dominika 2021-01-05 01:05:43 -05:00
parent 1bfe13f605
commit 48d98a6bde
No known key found for this signature in database
GPG Key ID: B4A5A6DCA70F861F
3 changed files with 12 additions and 6 deletions

View File

@ -27,9 +27,9 @@ xargs=$(which gxargs || which xargs)
# Validate settings.
[ "$TRACE" ] && set -x
CONFIG=$@
CONFIG=( "$@" )
for line in $CONFIG; do
for line in "${CONFIG[@]}"; do
eval "$line"
done
@ -46,16 +46,16 @@ if [[ "$tag" == 'LATEST' ]]; then
fi
# Validate token.
curl -o /dev/null -sH "$AUTH" $GH_REPO || {
curl -o /dev/null -sH "$AUTH" "$GH_REPO" || {
echo "Error: Invalid repo, token or network issue!"
exit 1
}
# Read asset tags.
response=$(curl -sH "$AUTH" $GH_TAGS)
response=$(curl -sH "$AUTH" "$GH_TAGS")
# Get ID of the asset based on given filename.
eval $(echo "$response" | grep -m 1 "id.:" | grep -w id | tr : = | tr -cd '[[:alnum:]]=')
eval "$(echo "$response" | grep -m 1 "id.:" | grep -w id | tr : = | tr -cd '[[:alnum:]]=')"
[ "$id" ] || {
echo "Error: Failed to get release id for tag: $tag"
echo "$response" | awk 'length($0)<100' >&2

View File

@ -38,7 +38,7 @@ public class KamiMod {
public static final String GITHUB_LINK = "https://github.com/kami-blue/";
public static final String WEBSITE_LINK = "https://kamiblue.org";
public static final String KAMI_KATAKANA = "\u30ab\u30df\u30d6\u30eb";
public static final String KAMI_KATAKANA = "カミブル";
public static final String DIRECTORY = "kamiblue/";
public static final Logger LOG = LogManager.getLogger("KAMI Blue");

View File

@ -68,6 +68,9 @@ public abstract class MixinModelBiped extends ModelBase {
case ITEM:
this.bipedLeftArm.rotateAngleX = this.bipedLeftArm.rotateAngleX * 0.5F - ((float) Math.PI / 10F);
this.bipedLeftArm.rotateAngleY = 0.0F;
break;
default:
// don't do anything
}
switch (this.rightArmPose) {
@ -81,6 +84,9 @@ public abstract class MixinModelBiped extends ModelBase {
case ITEM:
this.bipedRightArm.rotateAngleX = this.bipedRightArm.rotateAngleX * 0.5F - ((float) Math.PI / 10F);
this.bipedRightArm.rotateAngleY = 0.0F;
break;
default:
// don't do anything
}
if (this.swingProgress > 0.0F) {